## coinor-symphony 5.6.17+dfsg

=== Examples/FLOPC++/Makefile ===
##############################################################################
##############################################################################
#                                                                            #
# This file is part of the SYMPHONY MILP Solver Framework.                   #
#                                                                            #
# SYMPHONY was jointly developed by Ted Ralphs (ted@lehigh.edu) and          #
# Laci Ladanyi (ladanyi@us.ibm.com).                                         #
#                                                                            #
# (c) Copyright 2005-2011,  Lehigh University. All Rights Reserved.          #
#                                                                            #
# This software is licensed under the Eclipse Public License. Please see     #
# accompanying file for terms.                                               #
#                                                                            #
# The author of this file is Menal Guzelsoy (megb@lehigh.edu)                #
#                                                                            #
##############################################################################
##############################################################################

CoinDir  := $(HOME)/COIN
SymDir  := $(CoinDir)/SYMPHONY
FlopcDir := $(CoinDir)/flopc
#LPSolverDir :=$(HOME)/OSL/osllib

CXX     =  g++

## Chose optimization level
CXXFLAGS += -O

##############################################################################
IncDir	:= $(FlopcDir)/include 
IncDir	+= $(CoinDir)/include 
IncDir	+= $(SymDir)/include 
#IncDir += $(LPSolverDir)/include

SHLINKPREFIX = -Wl,-rpath,

CXXFLAGS += $(addprefix -I,${IncDir})

LIBDIRS := $(CoinDir)/lib
LIBDIRS += $(FlopcDir)/lib
LIBDIRS += $(SymDir)/lib
#LIBDIRS += $(LPSolverDir)/lib

LDFLAGS := $(addprefix -L,$(LIBDIRS))
LDFLAGS += $(addprefix $(SHLINKPREFIX),$(LIBDIRS))

LIBS 	+= -lOsiSym
LIBS 	+= -lsym
LIBS	+= -lflopc
LIBS 	+= -lOsi
LIBS 	+= -lOsiClp
LIBS 	+= -lClp
#LIBS 	+= -lOsiOsl
#LIBS 	+= -losl
LIBS 	+= -lCoin
LIBS 	+= -lCgl
#LIBS 	+= -lgz

LDFLAGS	+= $(LIBS)

###############################################################################

.DELETE_ON_ERROR:

.PHONY: default

default: all

###############################################################################

all :	tap

clean:	
	@rm tap
###############################################################################

## coinor-symphony 5.2.4

=== debian/changelog ===
coinor-symphony (5.2.4-1.1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable. Remaining change:
    - add build dep on zlib1g-dev and libbz2-dev to fix missing -lz and
      lbz2 linking and hence fix FTBFS

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 06 Aug 2011 22:50:21 +0530

coinor-symphony (5.2.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621248).
  * Build depend on doxygen-latex (Closes: #616206).

 -- Luk Claes <luk@debian.org>  Mon, 13 Jun 2011 16:02:01 +0200

coinor-symphony (5.2.4-1ubuntu1) maverick; urgency=low

  * add build dep on zlib1g-dev and libbz2-dev to fix missing -lz and 
    -lbz2 linking and hence fix FTBFS (LP: #620940)

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 21 Aug 2010 01:35:21 +0200

coinor-symphony (5.2.4-1) unstable; urgency=low

  * New upstream version.
    - Remove build fix for milp2.c.

 -- Soeren Sonnenburg <sonne@debian.org>  Wed, 12 May 2010 10:10:27 +0200

coinor-symphony (5.2.3-1) unstable; urgency=low

  * New upstream version.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Soeren Sonnenburg <sonne@debian.org>  Tue, 06 Apr 2010 08:16:29 +0200

coinor-symphony (5.2.2-1) unstable; urgency=low

  * Initial Release. (Closes: #549414)

 -- Aramian Wasielak <aramian.wasielak@gmail.com>  Sat, 03 Jan 2009 22:59:20 -0700

=== debian/control ===
Source: coinor-symphony
Section: science
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Aramian Wasielak <aramian.wasielak@gmail.com>
Uploaders: Soeren Sonnenburg <sonne@debian.org>
Build-Depends: cdbs, debhelper (>= 5), doxygen-latex, graphviz,
 coinor-libcoinutils-dev (>= 2.6.0), coinor-libcgl-dev (>= 0.55.0),
 coinor-libosi-dev (>= 0.102.1), coinor-libclp-dev (>= 1.11.0),
 coinor-libvol-dev, latex2html, liblapack-dev, zlib1g-dev, libbz2-dev 
Standards-Version: 3.8.4
Homepage: https://projects.coin-or.org/SYMPHONY
Vcs-Svn: http://bollin.googlecode.com/svn/coinor-symphony/trunk/
Vcs-Browser: http://bollin.googlecode.com/svn/coinor-symphony/trunk/

Package: coinor-libsymphony0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: COIN-OR solver for mixed-integer linear programs
 SYMPHONY is an open-source generic mixed-integer linear programs (MILP) solver,
 callable library, and extensible framework for implementing customized solvers
 SYMPHONY has a number of advanced capabilities, including the ability to
 solve multi-objective MILPs, the ability to warm start its solution procedure,
 and the ability to perform basic sensitivity analyses. 
 .
 SYMPHONY is part of the larger COIN-OR initiative (Computational Infrastructure
 for Operations Research).
 .
 This package contains the binaries and libraries.

Package: coinor-libsymphony-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, coinor-libsymphony0 (= ${binary:Version})
Description: COIN-OR solver for mixed-integer linear programs
 SYMPHONY is an open-source generic mixed-integer linear programs (MILP) solver,
 callable library, and extensible framework for implementing customized solvers
 SYMPHONY has a number of advanced capabilities, including the ability to
 solve multi-objective MILPs, the ability to warm start its solution procedure,
 and the ability to perform basic sensitivity analyses. 
 .
 SYMPHONY is part of the larger COIN-OR initiative (Computational Infrastructure
 for Operations Research).
 .
 This package contains the header files for developers.

Package: coinor-libsymphony-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: coinor-libsymphony-dev
Description: COIN-OR solver for mixed-integer linear programs
 SYMPHONY is an open-source generic mixed-integer linear programs (MILP) solver,
 callable library, and extensible framework for implementing customized solvers
 SYMPHONY has a number of advanced capabilities, including the ability to
 solve multi-objective MILPs, the ability to warm start its solution procedure,
 and the ability to perform basic sensitivity analyses. 
 .
 SYMPHONY is part of the larger COIN-OR initiative (Computational Infrastructure
 for Operations Research).
 .
 This package contains the documentation and examples.

Package: coinor-libsymphony0-dbg
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, coinor-libsymphony0 (= ${binary:Version})
Description: COIN-OR solver for mixed-integer linear programs
 SYMPHONY is an open-source generic mixed-integer linear programs (MILP) solver,
 callable library, and extensible framework for implementing customized solvers
 SYMPHONY has a number of advanced capabilities, including the ability to
 solve multi-objective MILPs, the ability to warm start its solution procedure,
 and the ability to perform basic sensitivity analyses. 
 .
 SYMPHONY is part of the larger COIN-OR initiative (Computational Infrastructure
 for Operations Research).
 .
 This package contains the debug symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

LDFLAGS += -lCoinUtils -lCgl -lOsi -lOsiClp
DEB_CONFIGURE_EXTRA_FLAGS += --enable-static CPPFLAGS=-I/usr/include/coin
DEB_INSTALL_DOCS_ALL = ./SYMPHONY/AUTHORS ./SYMPHONY/README
DEB_CLEAN_EXCLUDE = .orig
DEB_COMPRESS_EXCLUDE = .pdf .h .c .spp Makefile README

build/coinor-libsymphony-doc:: debian/stamp-build-coinor-libsymphony-doc

debian/stamp-build-coinor-libsymphony-doc:
	cd SYMPHONY/Doc && ( latex man ; latex man ; dvipdfm man )
	touch $@

install/coinor-libsymphony-doc:: debian/stamp-install-coinor-libsymphony-doc

debian/stamp-install-coinor-libsymphony-doc:
	mkdir -p debian/coinor-libsymphony-doc/usr/share/doc/coinor-libsymphony-doc/
	cp SYMPHONY/Doc/man.pdf \
		debian/coinor-libsymphony-doc/usr/share/doc/coinor-libsymphony-doc/user-guide.pdf
	touch $@

get-orig-source:
	-uscan --rename --upstream-version 0
	@echo successfully retrieved upstream tarball

clean::
	$(RM) Makefile config.status config.log debian/stamp-*
	$(RM) SYMPHONY/Doc/man.aux SYMPHONY/Doc/man.dvi \
	      SYMPHONY/Doc/man.idx SYMPHONY/Doc/man.log \
	      SYMPHONY/Doc/man.out SYMPHONY/Doc/man.pdf \
	      SYMPHONY/Doc/man.toc

=== debian/watch ===
version=3
http://www.coin-or.org/download/source/SYMPHONY/SYMPHONY-([\d\.]+).tgz \
		 debian debian/orig-tar.sh

## coinor-symphony 5.5.6

=== debian/changelog ===
coinor-symphony (5.5.6-1ubuntu2) trusty; urgency=medium

  * Build using GCC 4.7 on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 28 Dec 2013 02:03:49 +0100

coinor-symphony (5.5.6-1ubuntu1) trusty; urgency=medium

  * Build using autotools-dev.
  * Patch configure to build on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 28 Dec 2013 01:23:43 +0100

coinor-symphony (5.5.6-1) unstable; urgency=low

  * Move manpage to coinor-symphony (Closes: #730261).
  * New upstream release.
  * Upload to unstable for transition.

 -- Miles Lubin <miles.lubin@gmail.com>  Thu, 28 Nov 2013 00:16:55 -0500

coinor-symphony (5.5.5-1) experimental; urgency=low

  * New upstream release
    - License changed to EPL.
    - SONAME version is now 3.
  * New maintainer (Closes: #645089) 
    - Soeren Sonnenburg refused to relicense work under EPL.
  * Move symphony executable to separate package: coinor-symphony
  * Bump to compat 9 (libraries now installed to multiarch dirs.)
  * Fix hyphens in manpage.
  * Add patch to fix building with pkg-config.
  * Add patch to fix shared library dependencies.
  * Remove outdated patches.
  * Acknowledge NMU (Closes: #631977).
  * Bump standards version.
    - Updated format of copyright file.

 -- Miles Lubin <miles.lubin@gmail.com>  Wed, 06 Nov 2013 11:06:51 -0500

coinor-symphony (5.2.4-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: Master/main.c:674:19: error: format not a string literal
    and no format arguments [-Werror=format-security]":
    add patch format-security.patch (adds a format argument).
    Closes: #643365

 -- gregor herrmann <gregoa@debian.org>  Wed, 21 Dec 2011 18:44:24 +0100

=== debian/control ===
Source: coinor-symphony
Section: science
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Miles Lubin <miles.lubin@gmail.com>
Build-Depends: chrpath,
               autotools-dev,
               g++-4.7 [arm64],
               coinor-libcgl-dev (>= 0.58.2),
               coinor-libclp-dev (>= 1.15.3),
               coinor-libcoinutils-dev (>= 2.9.4),
               coinor-libosi-dev (>= 0.106.1),
               debhelper (>= 9),
               doxygen-latex,
               graphviz,
               latex2html,
               libbz2-dev,
               liblapack-dev,
               pkg-config,
               zlib1g-dev
Standards-Version: 3.9.5
Homepage: https://projects.coin-or.org/SYMPHONY
Vcs-Git: git://anonscm.debian.org/debian-science/packages/coinor-symphony.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/coinor-symphony.git

Package: coinor-symphony
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: coinor-libsymphony0
Breaks: coinor-libsymphony0
Description: COIN-OR solver for mixed-integer linear programs
 SYMPHONY is an open-source generic mixed-integer linear programs (MILP) solver,
 callable library, and extensible framework for implementing customized solvers
 SYMPHONY has a number of advanced capabilities, including the ability to
 solve multi-objective MILPs, the ability to warm start its solution procedure,
 and the ability to perform basic sensitivity analyses.
 .
 SYMPHONY is part of the larger COIN-OR initiative (Computational Infrastructure
 for Operations Research).
 .
 This package contains the symphony executable.

Package: coinor-libsymphony3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: COIN-OR solver for mixed-integer linear programs (shared libraries)
 SYMPHONY is an open-source generic mixed-integer linear programs (MILP) solver,
 callable library, and extensible framework for implementing customized solvers
 SYMPHONY has a number of advanced capabilities, including the ability to
 solve multi-objective MILPs, the ability to warm start its solution procedure,
 and the ability to perform basic sensitivity analyses.
 .
 SYMPHONY is part of the larger COIN-OR initiative (Computational Infrastructure
 for Operations Research).
 .
 This package contains the shared libraries.

Package: coinor-libsymphony-dev
Section: libdevel
Architecture: any
Depends: coinor-libsymphony3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: COIN-OR solver for mixed-integer linear programs (developer files)
 SYMPHONY is an open-source generic mixed-integer linear programs (MILP) solver,
 callable library, and extensible framework for implementing customized solvers
 SYMPHONY has a number of advanced capabilities, including the ability to
 solve multi-objective MILPs, the ability to warm start its solution procedure,
 and the ability to perform basic sensitivity analyses.
 .
 SYMPHONY is part of the larger COIN-OR initiative (Computational Infrastructure
 for Operations Research).
 .
 This package contains the header files for developers.

Package: coinor-libsymphony-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: coinor-libsymphony-dev
Description: COIN-OR solver for mixed-integer linear programs (documentation)
 SYMPHONY is an open-source generic mixed-integer linear programs (MILP) solver,
 callable library, and extensible framework for implementing customized solvers
 SYMPHONY has a number of advanced capabilities, including the ability to
 solve multi-objective MILPs, the ability to warm start its solution procedure,
 and the ability to perform basic sensitivity analyses.
 .
 SYMPHONY is part of the larger COIN-OR initiative (Computational Infrastructure
 for Operations Research).
 .
 This package contains the documentation and examples.

Package: coinor-libsymphony3-dbg
Section: debug
Architecture: any
Depends: coinor-libsymphony3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: COIN-OR solver for mixed-integer linear programs (debug symbols)
 SYMPHONY is an open-source generic mixed-integer linear programs (MILP) solver,
 callable library, and extensible framework for implementing customized solvers
 SYMPHONY has a number of advanced capabilities, including the ability to
 solve multi-objective MILPs, the ability to warm start its solution procedure,
 and the ability to perform basic sensitivity analyses.
 .
 SYMPHONY is part of the larger COIN-OR initiative (Computational Infrastructure
 for Operations Research).
 .
 This package contains the debug symbols.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH),arm64)
  conf_flags = CC=gcc-4.7 CXX=g++-4.7
endif

override_dh_strip:
	dh_strip --dbg-package=coinor-libsymphony3-dbg

override_dh_auto_build:
	dh_auto_build --
	cd Doc && ( latex man ; latex man ; dvipdfm man )

override_dh_auto_configure:
	dh_auto_configure -- --enable-static $(conf_flags)

override_dh_auto_install:
	dh_auto_install --
	$(RM) debian/tmp/usr/share/coin/doc/SYMPHONY/LICENSE
	chrpath -d debian/tmp/usr/bin/symphony

override_dh_clean:
	dh_clean --exclude=Makefile.orig

%:
	dh $@ --with autotools_dev

## coinor-symphony 5.6.1

=== debian/changelog ===
coinor-symphony (5.6.1-1build2) xenial; urgency=medium

  * No-change rebuild for coinor-osi transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2016 08:13:13 +0000

coinor-symphony (5.6.1-1build1) wily; urgency=medium

  * No-change rebuild against coinor-libcoinutils3v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Aug 2015 01:01:22 +0000

coinor-symphony (5.6.1-1) unstable; urgency=low

  * New upstream version.

 -- Miles Lubin <miles.lubin@gmail.com>  Thu, 25 Sep 2014 11:57:06 -0400

coinor-symphony (5.6.0-1) unstable; urgency=low

  * New upstream version.
  * Use dh_autotools-dev to update config.{sub,guess} for new ports.
    - Thanks to Adam Conrad
  * Remove shlibdeps patch incorporated upstream with configure option

 -- Miles Lubin <miles.lubin@gmail.com>  Wed, 03 Sep 2014 18:43:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: coinor-symphony
 Section: science
 Priority: extra
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Miles Lubin <miles.lubin@gmail.com>
 Build-Depends: chrpath,
-               autotools-dev,
-               g++-4.7 [arm64],
-               coinor-libcgl-dev (>= 0.58.2),
-               coinor-libclp-dev (>= 1.15.3),
-               coinor-libcoinutils-dev (>= 2.9.4),
-               coinor-libosi-dev (>= 0.106.1),
+               coinor-libcgl-dev (>= 0.58.9),
+               coinor-libclp-dev (>= 1.15.10),
+               coinor-libcoinutils-dev (>= 2.9.15),
+               coinor-libosi-dev (>= 0.106.9),
                debhelper (>= 9),
                doxygen-latex,
                graphviz,
@@ -17,7 +16,8 @@
                libbz2-dev,
                liblapack-dev,
                pkg-config,
-               zlib1g-dev
+               zlib1g-dev,
+               autotools-dev
 Standards-Version: 3.9.5
 Homepage: https://projects.coin-or.org/SYMPHONY
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/coinor-symphony.git

=== debian/rules ===
#!/usr/bin/make -f

override_dh_strip:
	dh_strip --dbg-package=coinor-libsymphony3-dbg

override_dh_auto_build:
	dh_auto_build --
	cd Doc && ( latex man ; latex man ; dvipdfm man )

override_dh_auto_configure:
	dh_auto_configure -- --enable-static --enable-dependency-linking

override_dh_auto_install:
	dh_auto_install --
	$(RM) debian/tmp/usr/share/coin/doc/SYMPHONY/LICENSE
	chrpath -d debian/tmp/usr/bin/symphony

override_dh_clean:
	dh_clean --exclude=Makefile.orig

%:
	dh $@ --with autotools_dev

=== debian/watch ===
version=3
http://www.coin-or.org/download/pkgsource/SYMPHONY/SYMPHONY-([\d\.]+).tgz \
		 debian

## coinor-symphony 5.6.16%2Brepack1

=== debian/control ===
Source: coinor-symphony
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: science
Priority: optional
Build-Depends: chrpath,
               coinor-libcgl-dev (>= 0.59.10),
               coinor-libclp-dev (>= 1.16.11),
               coinor-libcoinutils-dev (>= 2.10.14),
               coinor-libosi-dev (>= 0.107.9),
               debhelper-compat (= 10),
               doxygen-latex,
               graphviz,
               latex2html,
               libbz2-dev,
               liblapack-dev,
               pkg-config,
               zlib1g-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/science-team/coinor-symphony
Vcs-Git: https://salsa.debian.org/science-team/coinor-symphony.git
Homepage: https://projects.coin-or.org/SYMPHONY

Package: coinor-symphony
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: coinor-libsymphony0
Replaces: coinor-libsymphony0
Description: COIN-OR solver for mixed-integer linear programs
 SYMPHONY is an open-source generic mixed-integer linear programs (MILP) solver,
 callable library, and extensible framework for implementing customized solvers
 SYMPHONY has a number of advanced capabilities, including the ability to
 solve multi-objective MILPs, the ability to warm start its solution procedure,
 and the ability to perform basic sensitivity analyses.
 .
 SYMPHONY is part of the larger COIN-OR initiative (Computational Infrastructure
 for Operations Research).
 .
 This package contains the symphony executable.

Package: coinor-libsymphony3
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: COIN-OR solver for mixed-integer linear programs (shared libraries)
 SYMPHONY is an open-source generic mixed-integer linear programs (MILP) solver,
 callable library, and extensible framework for implementing customized solvers
 SYMPHONY has a number of advanced capabilities, including the ability to
 solve multi-objective MILPs, the ability to warm start its solution procedure,
 and the ability to perform basic sensitivity analyses.
 .
 SYMPHONY is part of the larger COIN-OR initiative (Computational Infrastructure
 for Operations Research).
 .
 This package contains the shared libraries.

Package: coinor-libsymphony-dev
Architecture: any
Section: libdevel
Depends: coinor-libsymphony3 (= ${binary:Version}),
         coinor-libcgl-dev (>= 0.59.9),
         coinor-libclp-dev (>= 1.16.10),
         coinor-libcoinutils-dev (>= 2.10.13),
         coinor-libosi-dev (>= 0.107.8),
         ${misc:Depends},
         ${shlibs:Depends}
Description: COIN-OR solver for mixed-integer linear programs (developer files)
 SYMPHONY is an open-source generic mixed-integer linear programs (MILP) solver,
 callable library, and extensible framework for implementing customized solvers
 SYMPHONY has a number of advanced capabilities, including the ability to
 solve multi-objective MILPs, the ability to warm start its solution procedure,
 and the ability to perform basic sensitivity analyses.
 .
 SYMPHONY is part of the larger COIN-OR initiative (Computational Infrastructure
 for Operations Research).
 .
 This package contains the header files for developers.

Package: coinor-libsymphony-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: coinor-libsymphony-dev
Description: COIN-OR solver for mixed-integer linear programs (documentation)
 SYMPHONY is an open-source generic mixed-integer linear programs (MILP) solver,
 callable library, and extensible framework for implementing customized solvers
 SYMPHONY has a number of advanced capabilities, including the ability to
 solve multi-objective MILPs, the ability to warm start its solution procedure,
 and the ability to perform basic sensitivity analyses.
 .
 SYMPHONY is part of the larger COIN-OR initiative (Computational Infrastructure
 for Operations Research).
 .
 This package contains the documentation and examples.

## coinor-symphony 5.6.16+repack1

=== debian/changelog ===
coinor-symphony (5.6.16+repack1-3) unstable; urgency=medium

  * QA upload.
  * debian/rules: Set FORCE_SOURCE_DATE=1 in order for texlive to respect
    SOURCE_DATE_EPOCH for reproducible timestamps. (Closes: #978577)
  * coinor-libsymphony-doc: Install example Makefile.in rather than
    Makefile. (Closes: #978578)
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/control: Update Standards-Version to 4.5.1.
  * debian/control: Update Vcs headers.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Mon, 28 Dec 2020 15:21:06 -0800

coinor-symphony (5.6.16+repack1-2) unstable; urgency=medium

  * QA upload.
  * [6c868c5] Replace prio optional by extra
  * [bea35a0] Remove build-depends on autotools-dev
  * [1e9f30e] Set Standards-Version to 4.4.1
  * [82d9123] Trim trailing whitespace.
  * [db17611] Drop use of autotools-dev debhelper.
  * [0e7be9f] Use secure URI in debian/watch.
  * [76f6425] Orphan package

 -- Anton Gladky <gladk@debian.org>  Fri, 10 Jan 2020 21:03:40 +0100

coinor-symphony (5.6.16+repack1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with latest TeX Live. (Closes: #915328)

 -- Adrian Bunk <bunk@debian.org>  Fri, 11 Jan 2019 13:53:51 +0200

coinor-symphony (5.6.16+repack1-1) unstable; urgency=medium

  * [b1e7a6e] Set Standards-Version: 4.0.0
  * [1624789] Update version numbers
  * Upload into unstable.

 -- Anton Gladky <gladk@debian.org>  Mon, 21 Aug 2017 21:41:01 +0200

coinor-symphony (5.6.16+repack1-1~exp1) experimental; urgency=medium

  * [a0f09da] Update d/watch
  * [ac3db92] Remove unneeded for the build files from the package.
  * [0d948d7] Remove applied by upstream patch.
  * [04405e1] Remove dbg-package.
  * [ccd1c19] Set compat level 10.
  * [2bea79e] Use maximal hardening.
  * [97c0b35] Update version numbers in dependencies.
  * [368cfa8] Remove Miles Lubin from uploaders. (Closes: #862820)
  * [3379294] Add myself to uploaders.
  * [ca0e837] Apply cme fix dpkg.
  * [1a506c6] New upstream version 5.6.16+repack1

 -- Anton Gladky <gladk@debian.org>  Mon, 05 Jun 2017 20:48:39 +0200

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,10 @@
                liblapack-dev,
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/science-team/coinor-symphony
-Vcs-Git: https://salsa.debian.org/science-team/coinor-symphony.git
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian/coinor-symphony
+Vcs-Git: https://salsa.debian.org/debian/coinor-symphony.git
 Homepage: https://projects.coin-or.org/SYMPHONY
 
 Package: coinor-symphony

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,15 @@
 #!/usr/bin/make -f
 
-override_dh_strip:
-	dh_strip --dbg-package=coinor-libsymphony3-dbg
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# Ensure texlive respects SOURCE_DATE_EPOCH
+export FORCE_SOURCE_DATE=1
+
+%:
+	dh $@ --without autoreconf
 
 override_dh_auto_build:
-	dh_auto_build --
+	dh_auto_build
 	cd Doc && ( latex man ; latex man ; dvipdfm man )
 
 override_dh_auto_configure:
@@ -17,6 +22,3 @@
 
 override_dh_clean:
 	dh_clean --exclude=Makefile.orig
-
-%:
-	dh $@ --with autotools_dev

=== debian/watch ===
version=3
opts=repacksuffix=+repack1,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb|-dfsg)\d*$// \
https://www.coin-or.org/download/pkgsource/SYMPHONY/SYMPHONY-(\d\S*).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## coinor-symphony 5.6.17+dfsg

=== debian/changelog ===
coinor-symphony (5.6.17+dfsg-1) unstable; urgency=medium

  * New upstream version
    Closes: #984022
  * Move package back to Debian Science since it is required by some GNU R
    packages
  * cme fix dpkg-control
  * Add salsa-ci file

 -- Andreas Tille <tille@debian.org>  Sat, 16 Oct 2021 14:41:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: coinor-symphony
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
 Build-Depends: chrpath,
-               coinor-libcgl-dev (>= 0.59.10),
-               coinor-libclp-dev (>= 1.16.11),
-               coinor-libcoinutils-dev (>= 2.10.14),
-               coinor-libosi-dev (>= 0.107.9),
+               coinor-libcgl-dev,
+               coinor-libclp-dev,
+               coinor-libcoinutils-dev,
+               coinor-libosi-dev,
                debhelper-compat (= 10),
                doxygen-latex,
                graphviz,
@@ -15,11 +16,11 @@
                liblapack-dev,
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/science-team/coinor-symphony
+Vcs-Git: https://salsa.debian.org/science-team/coinor-symphony.git
+Homepage: https://projects.coin-or.org/SYMPHONY
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/debian/coinor-symphony
-Vcs-Git: https://salsa.debian.org/debian/coinor-symphony.git
-Homepage: https://projects.coin-or.org/SYMPHONY
 
 Package: coinor-symphony
 Architecture: any
@@ -41,6 +42,7 @@
 
 Package: coinor-libsymphony3
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: COIN-OR solver for mixed-integer linear programs (shared libraries)
@@ -57,12 +59,13 @@
 
 Package: coinor-libsymphony-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: coinor-libsymphony3 (= ${binary:Version}),
-         coinor-libcgl-dev (>= 0.59.9),
-         coinor-libclp-dev (>= 1.16.10),
-         coinor-libcoinutils-dev (>= 2.10.13),
-         coinor-libosi-dev (>= 0.107.8),
+         coinor-libcgl-dev,
+         coinor-libclp-dev,
+         coinor-libcoinutils-dev,
+         coinor-libosi-dev,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: COIN-OR solver for mixed-integer linear programs (developer files)
@@ -79,6 +82,7 @@
 
 Package: coinor-libsymphony-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Recommends: coinor-libsymphony-dev

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 
 # Ensure texlive respects SOURCE_DATE_EPOCH
 export FORCE_SOURCE_DATE=1
+
+# FIXME: upstream has created configure with autoconf that does not know --runstatedir=/run 
+#        unfortunately recreating configure depends from some macros that are not provided
+#        so cheating for the moment, disable autoreconf and stick to debhelper 10
 
 %:
 	dh $@ --without autoreconf

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=auto \
https://www.coin-or.org/download/pkgsource/SYMPHONY/SYMPHONY-(\d\S*).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## coinor-symphony 5.7.2+dfsg

=== debian/changelog ===
coinor-symphony (5.7.2+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * New upstream version 5.7.2+dfsg

  [ Shengqi Chen ]
  * d/control:
    + bump std-ver to 4.7.2 (no changes required)
    + change obsolete B-D pkg-config -> pkgconf
  * d/rules: disable tests due to missing input files (closes: #1068745)
  * d/watch: replace upstream page (which has been not updated for long) with
    github tags
  * d/: update paths to reflect changes in source tar
  * d/patches: add patch to fix build of documentation
  * d/{control, rules}:
    + do not build documentation with <!nodoc> profile
    + build with glpk (closes: #941172)

 -- Shengqi Chen <harry@debian.org>  Tue, 18 Mar 2025 20:04:03 +0800

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,15 @@
                coinor-libcoinutils-dev,
                coinor-libosi-dev,
                debhelper-compat (= 10),
-               doxygen-latex,
-               graphviz,
-               latex2html,
+               doxygen-latex <!nodoc>,
+               graphviz <!nodoc>,
+               latex2html <!nodoc>,
                libbz2-dev,
                liblapack-dev,
-               pkg-config,
+               libglpk-dev,
+               pkgconf,
                zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/coinor-symphony
 Vcs-Git: https://salsa.debian.org/science-team/coinor-symphony.git
 Homepage: https://projects.coin-or.org/SYMPHONY
@@ -81,6 +82,7 @@
  This package contains the header files for developers.
 
 Package: coinor-libsymphony-doc
+Build-Profiles: <!nodoc>
 Architecture: all
 Multi-Arch: foreign
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -lglpk
 
 # Ensure texlive respects SOURCE_DATE_EPOCH
 export FORCE_SOURCE_DATE=1
@@ -14,15 +15,22 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	cd Doc && ( latex man ; latex man ; dvipdfm man )
+ifeq ($(filter nooc,$(DEB_BUILD_PROFILES)),)
+	cd SYMPHONY/Doc && ( latex man ; latex man ; dvipdfm man )
+endif
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-static --enable-dependency-linking
+	dh_auto_configure -- --enable-static --enable-dependency-linking --with-gmpl
+
+# disable tests due to missing input files. See #1068745
+override_dh_auto_test:
 
 override_dh_auto_install:
 	dh_auto_install --
+	chrpath -d debian/tmp/usr/bin/symphony
+ifeq ($(filter nooc,$(DEB_BUILD_PROFILES)),)
 	$(RM) debian/tmp/usr/share/coin/doc/SYMPHONY/LICENSE
-	chrpath -d debian/tmp/usr/bin/symphony
+endif
 
 override_dh_clean:
 	dh_clean --exclude=Makefile.orig

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=auto \
https://github.com/coin-or/SYMPHONY/tags .*/v?(\d.*)@ARCHIVE_EXT@
